package com.example.depanntout;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import bdd.InterventionDAO;
import metier.Intervention;

public class CreateInter extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_create_inter);
        initialisation();
        gererCreateInter();
    }



    private void initialisation() {
        // gestion du boutton Quitter
        Button btQuitterCreate = (Button) findViewById(R.id.btQuitterCreate);
        // Association d'un écouteur d'événement au clic de btQuitter
        btQuitterCreate.setOnClickListener(new View.OnClickListener() {
            public void onClick(View arg0) {
                interventionDAO.close();
                finish();
            }
        });
    }
    private InterventionDAO interventionDAO = null;
    Intervention inter = null;


    // Contrôle graphiques
    private EditText etDate;
    private EditText etHeure;
    private EditText etObs;
    private EditText etIdCli;
    private Button btCreateInter;

    //Valeur saisies
    String date;
    String heure;
    String observation;
    int idCli;

    private void gererCreateInter() {
        // Reconnaissance des contrôles graphiques de la vue
        etDate = (EditText) findViewById(R.id.ptSaisiDate);
        etHeure = (EditText) findViewById(R.id.ptSaisiHeure);
        etObs = (EditText) findViewById(R.id.ptSaisiObserv);
        etIdCli = (EditText) findViewById(R.id.ptSaisiIdClient);
        btCreateInter = (Button) findViewById(R.id.btCreateInter);
        // Accès à la table article
        interventionDAO = new InterventionDAO(this);
        // Gestion de l'événement onClick sur le boutn Ajouter
        btCreateInter.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View arg0) {
                // Récupération des zones saisies
                date = etDate.getText().toString();
                heure = etHeure.getText().toString();
                observation = etObs.getText().toString();
                idCli = Integer.parseInt(etIdCli.getText().toString());
//                // Création de l'article correspondant
                inter = new Intervention(date, heure, observation, idCli);
//                // Insertion de l'article dans la base de données
                long idInterCree = interventionDAO.create(inter);
//                // Message à l'écran
                Toast.makeText(getApplicationContext(), "Intervention ajoutée + " +
                        "(no : " + idInterCree + " )", Toast.LENGTH_SHORT).show();
                                Toast.makeText(getApplicationContext(), "Intervention ajoutée + " +
                        date + heure + observation + idCli + " )", Toast.LENGTH_SHORT).show();
//                // Zones de saisies effacées
                etDate.setText("");
                etHeure.setText("");
                etObs.requestFocus();
                etIdCli.setText("");
            }
        });
    }
}